Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 12 Apr 2019 13:22:57 +0200

Pierre Neidhardt <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Hi Pierre,
>>
>>> * gnu/packages/games.scm (the-dark-mod): New variable.
>> […]
>>> +      (synopsis "Game based on the Thief series by Looking Glass Studios")
>>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltration game
>>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom III mod,
>>> +it is now released as a standalone.
>>> +
>>> +The game data must be fetched manually by running @command{tdm_update}.
>>> +The ~a environment variable specifies the location where the game data is
>>> +saved (defaults to ~a)."
>>> +                           the-dark-mod-env-var-name the-dark-mod-env-var-value))
>>
>> Is this actually free software?  Does it depend on the proprietary Thief
>> game data to be playable?  What is the purpose of tdm_update?
>
> It is: I added a comment in the license section: all the data fetched by
> the "tdm_update" executable is under CC.  tdm_update is the in-house
> package manager.  It's sad the game data is not versioned, but I don't
> see a way around it at  the moment.

I’d prefer not to recommend the use of tdm_update and create a package
for the game data instead.  Under what URL can the game data be
downloaded?  Can we use a web.archive.org URL or host the data
somewhere?

> We have quite a few game engines in our repository that
> depend on proprietary game data to be playable.  But The Dark Mod is not one
> of them.

First: what game engines do we provide that can only be used with
proprietary game data?

Second: The Dark Mod source repository contains a README with this text:

  This source release does not contain any game data, the game data is still
  covered by the original EULA and must be obeyed as usual.

  https://svn.thedarkmod.com/publicsvn/darkmod_src/trunk/README.txt

What is that EULA?  Is this README incorrect?  Or this misleading as it
would only apply to Doom 3?

--
Ricardo